javax.resource.spi.work

## Class HintsContext

- java.lang.Object
- - javax.resource.spi.work.HintsContext

- All Implemented Interfaces:
    Serializable, WorkContext

      public class HintsContext
      extends Object
      implements WorkContext

  A standard `WorkContext` that allows a `Work` instance to propagate quality-of-service (QoS) hints about the `Work` to the `WorkManager`.
  Since:
    1.6
  Version:
    Java EE Connector Architecture 1.6
  See Also:
    `WorkContextProvider`, Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `description`
    `static String` | `LONGRUNNING_HINT`
    `protected String` | `name`
    `static String` | `NAME_HINT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HintsContext()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDescription()` Get the brief description of the role played by the `WorkContext` and any other related debugging information.
    `Map<String,Serializable>` | `getHints()`
    `String` | `getName()` Get the associated name of the `WorkContext`.
    `void` | `setDescription(String description)` Set a brief description of the role played by the instance of HintsContext and any other related debugging information.
    `void` | `setHint(String hintName, Serializable value)` Set a Hint and a related value.
    `void` | `setName(String name)` Set the associated name of the HintsContext.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NAME_HINT

          public static final String NAME_HINT

      See Also:
        Constant Field Values

    - #### LONGRUNNING_HINT

          public static final String LONGRUNNING_HINT

      See Also:
        Constant Field Values

    - #### description

          protected String description

    - #### name

          protected String name

  - ### Constructor Detail

    - #### HintsContext

          public HintsContext()

  - ### Method Detail

    - #### getDescription

          public String getDescription()

      Get the brief description of the role played by the `WorkContext` and any other related debugging information. This could be used by the WorkManager and the resource adapter for debugging purposes.

      Specified by:
        `getDescription` in interface `WorkContext`
      Returns:
        the associated description of the `WorkContext`

    - #### getName

          public String getName()

      Get the associated name of the `WorkContext`. This could be used by the WorkManager and the resource adapter for debugging purposes.

      Specified by:
        `getName` in interface `WorkContext`
      Returns:
        the associated name of the `WorkContext`

    - #### setDescription

          public void setDescription(String description)

      Set a brief description of the role played by the instance of HintsContext and any other related debugging information. This could be used by the resource adapter and the WorkManager for logging and debugging purposes.

    - #### setName

          public void setName(String name)

      Set the associated name of the HintsContext. This could be used by the resource adapter and the WorkManager for logging and debugging purposes.

    - #### setHint

          public void setHint(String hintName,
                     Serializable value)

      Set a Hint and a related value. The hintName must be non-Null. Standard HintNames are defined in the Connector specification. Use of "javax.resource." prefixed hintNames are reserved for use by the Connector specification.

    - #### getHints

          public Map<String,Serializable> getHints()

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.